Bug 402144 - Add "Show in Folder" button to file download notifications
Summary: Add "Show in Folder" button to file download notifications
Status: RESOLVED FIXED
Alias: None
Product: plasma-browser-integration
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-15 05:46 UTC by Felipe Peter
Modified: 2019-05-09 09:33 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.16.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felipe Peter 2018-12-15 05:46:29 UTC
SUMMARY
I think it would be nice to have an extra button in the notification to show a file that was downloaded or received via bluetooth in its folder. For me that would definitely add to the usability. 

STEPS TO REPRODUCE
1. Download a file using Firefox

OBSERVED RESULT
A notification pops up when the download is finished, including an "Open" button. If I want to move the file to another folder, I have to open Firefox, navigate to the downloads and push the button to show the file in its folder.

Desired RESULT
Have a "Show in folder" button in the notification.

SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.14
KDE Plasma Version: 5.14.4
Qt Version: 5.11.2
KDE Frameworks Version: 5.52.0
Kernel Version: 4.15.0-42-generic
OS Type: 64-bit
Comment 1 Kai Uwe Broulik 2019-03-13 11:31:16 UTC
Git commit b09312ad384b41c3eaaca0d11a75c8b07cd4fc2e by Kai Uwe Broulik.
Committed on 13/03/2019 at 11:30.
Pushed by broulik into branch 'master'.

[DownloadJob] Set destUrl and total amount

Will eventually allow us to show a nice finished notification.
Related: bug 404182

Differential Revision: https://phabricator.kde.org/D19589

M  +7    -1    host/downloadjob.cpp

https://commits.kde.org/plasma-browser-integration/b09312ad384b41c3eaaca0d11a75c8b07cd4fc2e
Comment 2 Kai Uwe Broulik 2019-05-09 09:33:07 UTC
Git commit 3c52fc3bc05e0f351d4998ad54edae1a4e21a043 by Kai Uwe Broulik.
Committed on 09/05/2019 at 09:29.
Pushed by broulik into branch 'master'.

Merge branch 'broulik/libnotificationmanager'

This includes:
libnotificationmanager https://phabricator.kde.org/D20265
New notification plasmoid: https://phabricator.kde.org/D20266
as well as dataengine compat: https://phabricator.kde.org/D20490 and https://phabricator.kde.org/D20491
Related: bug 222470, bug 405570, bug 391646, bug 401819, bug 400811, bug 392669, bug 390143, bug 390864, bug 374099, bug 360990, bug 346458, bug 398926, bug 390152, bug 342355, bug 402391, bug 399697, bug 400871, bug 398580
FIXED-IN: 5.16.0


https://commits.kde.org/plasma-workspace/3c52fc3bc05e0f351d4998ad54edae1a4e21a043